---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "coderd_license Resource - terraform-provider-coderd"
subcategory: ""
description: |-
  A license for a Coder deployment.
  It's recommended to set create_before_destroy https://developer.hashicorp.com/terraform/language/meta-arguments/lifecycle#create_before_destroy on license resources. Without setting this, Terraform will remove the old license before adding the updated license. This will result in a temporary disruption to your users; during which they may be unable to use features that require a license.
  Terraform does not guarantee this resource will be created before other resources or attributes that require a licensed deployment. The depends_on meta-argument is instead recommended.
---

# coderd_license (Resource)

A license for a Coder deployment.

It's recommended to set [`create_before_destroy`](https://developer.hashicorp.com/terraform/language/meta-arguments/lifecycle#create_before_destroy) on license resources. Without setting this, Terraform will remove the old license before adding the updated license. This will result in a temporary disruption to your users; during which they may be unable to use features that require a license.

Terraform does not guarantee this resource will be created before other resources or attributes that require a licensed deployment. The `depends_on` meta-argument is instead recommended.

## Example Usage

```terraform
resource "coderd_license" "license" {
  license = "<…>"

  lifecycle {
    create_before_destroy = true
  }
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `license` (String, Sensitive) A license key for Coder.

### Read-Only

- `expires_at` (Number) Unix timestamp of when the license expires.
- `id` (Number) Integer ID of the license.
